# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDateTimeWidget Class Reference

A combination of a date and a time selection widget. More...

`#include <kdatetimewidget.h>`

Inheritance diagram for KDateTimeWidget:

[legend]
Collaboration diagram for KDateTimeWidget:

[legend]
List of all members.

## Public Slots

void | setDateTime (const QDateTime &datetime)

## Signals

void | valueChanged (const QDateTime &datetime)

## Public Member Functions

| KDateTimeWidget (QWidget *parent=0, const char *name=0)
| KDateTimeWidget (const QDateTime &datetime, QWidget *parent=0, const char *name=0)
virtual | ~KDateTimeWidget ()
QDateTime | dateTime () const

## Properties

QDateTime | dateTime

## Detailed Description

A combination of a date and a time selection widget.

This widget can be used to display or allow user selection of date and time.

See also:
  KDateWidget

KDE Date Time Widget

Author:
  Hans Petter Bieker <bieker@kde.org>

Version:
  Id
    kdatetimewidget.h 353316 2004-10-10 10:36:39Z bhards

Since:
  3.2

Definition at line 40 of file kdatetimewidget.h.

## Constructor & Destructor Documentation

KDateTimeWidget::KDateTimeWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a date and time selection widget. Definition at line 17 of file kdatetimewidget.cpp.

KDateTimeWidget::KDateTimeWidget | ( | const QDateTime & | datetime,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a date and time selection widget with the initial date and time set to `datetime`. Definition at line 23 of file kdatetimewidget.cpp. References setDateTime().

KDateTimeWidget::~KDateTimeWidget | ( |  | ) | `[virtual]`

| Destructs the date and time selection widget. Definition at line 32 of file kdatetimewidget.cpp.

## Member Function Documentation

QDateTime KDateTimeWidget::dateTime | ( |  | ) | const

| Returns the currently selected date and time.

void KDateTimeWidget::setDateTime | ( | const QDateTime & | datetime | ) | `[slot]`

| Changes the selected date and time to `datetime`. Definition at line 53 of file kdatetimewidget.cpp. Referenced by KDateTimeWidget().

void KDateTimeWidget::valueChanged | ( | const QDateTime & | datetime | ) | `[signal]`

| Emitted whenever the date or time of the widget is changed, either with setDateTime() or via user selection.

The documentation for this class was generated from the following files:

- kdatetimewidget.h
- kdatetimewidget.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003